Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Interface GraphicsNodeMouseListener

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  Selector

All Known Implementing Classes:
  BridgeEventSupport.Listener, ConcreteTextSelector, GraphicsNodeMouseAdapter, SVG12BridgeEventSupport.Listener, TextSelectionManager.MouseListener

    public interface GraphicsNodeMouseListener

extends EventListener

The listener interface for receiving graphics node mouse events.

Method Summary
`void` | `mouseClicked(GraphicsNodeMouseEvent evt)` Invoked when the mouse has been clicked on a graphics node.
`void` | `mouseDragged(GraphicsNodeMouseEvent evt)` Invoked when a mouse button is pressed on a graphics node and then dragged.
`void` | `mouseEntered(GraphicsNodeMouseEvent evt)` Invoked when the mouse enters a graphics node.
`void` | `mouseExited(GraphicsNodeMouseEvent evt)` Invoked when the mouse exits a graphics node.
`void` | `mouseMoved(GraphicsNodeMouseEvent evt)` Invoked when the mouse button has been moved on a node.
`void` | `mousePressed(GraphicsNodeMouseEvent evt)` Invoked when a mouse button has been pressed on a graphics node.
`void` | `mouseReleased(GraphicsNodeMouseEvent evt)` Invoked when a mouse button has been released on a graphics node.

Method Detail

### mouseClicked

    void mouseClicked(GraphicsNodeMouseEvent evt)

  Invoked when the mouse has been clicked on a graphics node.

  Parameters:
    `evt` - the graphics node mouse event

### mousePressed

    void mousePressed(GraphicsNodeMouseEvent evt)

  Invoked when a mouse button has been pressed on a graphics node.

  Parameters:
    `evt` - the graphics node mouse event

### mouseReleased

    void mouseReleased(GraphicsNodeMouseEvent evt)

  Invoked when a mouse button has been released on a graphics node.

  Parameters:
    `evt` - the graphics node mouse event

### mouseEntered

    void mouseEntered(GraphicsNodeMouseEvent evt)

  Invoked when the mouse enters a graphics node.

  Parameters:
    `evt` - the graphics node mouse event

### mouseExited

    void mouseExited(GraphicsNodeMouseEvent evt)

  Invoked when the mouse exits a graphics node.

  Parameters:
    `evt` - the graphics node mouse event

### mouseDragged

    void mouseDragged(GraphicsNodeMouseEvent evt)

  Invoked when a mouse button is pressed on a graphics node and then dragged.

  Parameters:
    `evt` - the graphics node mouse event

### mouseMoved

    void mouseMoved(GraphicsNodeMouseEvent evt)

  Invoked when the mouse button has been moved on a node.

  Parameters:
    `evt` - the graphics node mouse event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.